using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "an insect corpse" )]
	public class Shaclaw : BaseCreature
	{
		[Constructable]
		public Shaclaw() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a shaclaw";
			Body = 283;
			BaseSoundID = 0x4EA;
			AnimationMod = 1;

			SetStr( 796, 825 );
			SetDex( 86, 105 );
			SetInt( 50, 70 );

			SetHits( 478, 495 );

			SetDamage( 16, 22 );

			SetSkill( SkillName.MagicResist, 49.1, 60.0 );
			SetSkill( SkillName.Tactics, 97.6, 100.0 );
			SetSkill( SkillName.HandToHand, 90.1, 92.5 );

			Fame = 14000;
			Karma = -14000;

			VirtualArmor = 60;

			AddItem( new LighterSource() );

			AddItem( new DeadlyPoisonPotion() );
		}

		public override Poison PoisonImmune{ get{ return Poison.Deadly; } }
		public override Poison HitPoison{ get{ return (0.8 >= Utility.RandomDouble() ? Poison.Regular : Poison.Greater); } }

		public override int GetDeathSound()
		{
			return Utility.RandomList( 0x4EE, 0x4EF );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich, 2 );
			AddLoot( LootPack.Gems, 8 );
		}

		public Shaclaw( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}